get_rotation_matrix(3)

NAME
get_rotation_matrix, get_rotation_matrix_f

SYNOPSIS
#include <allegro.h>

void get_rotation_matrix(MATRIX *m, fixed x, fixed y, fixed z); void get_rotation_matrix_f(MATRIX_f *m, float x, float y, float z);

DESCRIPTION
Constructs a transformation matrix which will rotate points around all three axis by the specified amounts (given in binary, 256 degrees to a circle format).

SEE ALSO
apply_matrix(3), get_transformation_matrix(3), get_vector_rotation_matrix(3), get_x_rotate_matrix(3), get_y_rotate_matrix(3), get_z_rotate_matrix(3), get_align_matrix(3), ex12bit(3), exquat(3), exstars(3)